function [correction] = dev_corMethod1( sample, TIME_WINDOWS )

% *************************************************************************

% Calcul des valeurs medianes de correction: achaque point de
% comparaison, on attribue la mediane des corrections dans une fenetre de
% 10 jours. Puis on interpole entre chaque mediane pour avoir la correction
% a appliquer en chaque point de donnee TSG

% Fenetre de temps = 10 jours pour le calcul des valeurs medianes de
% correction
% ------------------------------------------------------------------

COR_mediane    = [0 0];
erreur_mediane = [0 0];

for i = 1:length(sample)
    
    is = find( sample.TIME > sample.TIME(i) - TIME_WINDOWS/2 & ...
               sample.TIME < sample.TIME(i) + TIME_WINDOWS/2);
           
    if ~isempty(is)
        COR_mediane    = [COR_mediane;...
                         [ sample.TIME(i) median(sample.PSAL_DIF(is))]];
        erreur_mediane = [erreur_mediane;...
                         [std(sample.PSAL_DIF(is))/sqrt(length(is)) length(is)]];
    end
end


COR_mediane    = COR_mediane(2:length(COR_mediane),:);
erreur_mediane = erreur_mediane(2:length(erreur_mediane),:);

erreur_mediane( find(erreur_mediane(:,2) < 4), 1) = 1;

% Complete les series de correction PAS TRES BON
if COR_mediane(1,1) ~= tsg.TIME(1)
    COR_mediane = [[tsg.TIME(1) COR_mediane(1,2)];COR_mediane];
end

% Pas trs bon : La correction ne doit pas tre applique + de 10 jours
% avant ou aprs le dernier echantillon
% --------------------------------------------------------------------
if COR_mediane(length(COR_mediane),1) ~= tsg.TIME(end)
    COR_mediane = [COR_mediane; ...
                  [tsg.TIME(end) ...
                  COR_mediane(length(COR_mediane),2)]];
end


COR = interp1(COR_mediane(:,1), COR_mediane(:,2), tsg.TIME);

